/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.payroll.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

/**
 * KD_SUBSTITUTE_HOLIDAY(代替休暇管理テーブル)のDTOクラス。
 */
public class KdSubstituteHolidayDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID		= 1773596779456831229L;
	// フィールド
	private long				substituteid			= 0;
	private String				kcode					= "";
	private int					occuryear				= 0;
	private int					occurmonth				= 0;
	private Date				closedate				= null;
	private Date				limitstartdate			= null;
	private Date				limitenddate			= null;
	private String				attitudestatus			= "";
	private int					paymentacquiretime		= 0;
	private int					paymentacquireholiday	= 0;
	private int					paymentquittime			= 0;
	private int					useholidaytime			= 0;
	private String				acquisitionstatus		= "";
	private int					liquidationovertime		= 0;
	private int					liquidationweekholiday	= 0;
	private String				decisionstatus			= "";
	private int					deleteflag				= 0;
	

	/**
	 * コンストラクタ。
	 */
	public KdSubstituteHolidayDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return substituteid 	管理ID。
	 */
	public long getSubstituteId() {
		return substituteid;
	}
	
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return occuryear 	発生年。
	 */
	public int getOccurYear() {
		return occuryear;
	}
	
	/**
	 * @return occurmonth 	発生月。
	 */
	public int getOccurMonth() {
		return occurmonth;
	}
	
	/**
	 * @return closedate 	締切日。
	 */
	public Date getCloseDate() {
		return (Date)closedate.clone();
	}
	
	/**
	 * @return limitstartdate 	期限開始日。
	 */
	public Date getLimitStartDate() {
		return (Date)limitstartdate.clone();
	}
	
	/**
	 * @return limitenddate 	期限終了日。
	 */
	public Date getLimitEndDate() {
		return (Date)limitenddate.clone();
	}
	
	/**
	 * @return attitudestatus 	意向状況。
	 */
	public String getAttitudeStatus() {
		return attitudestatus;
	}
	
	/**
	 * @return paymentacquiretime 	代替休暇取得時間外。
	 */
	public int getPaymentAcquireTime() {
		return paymentacquiretime;
	}
	
	/**
	 * @return paymentacquireholiday 	代替休暇取得休日時間外。
	 */
	public int getPaymentAcquireHoliday() {
		return paymentacquireholiday;
	}
	
	/**
	 * @return paymentquittime 	代替休暇放棄時間外。
	 */
	public int getPaymentQuitTime() {
		return paymentquittime;
	}
	
	/**
	 * @return useholidaytime 	利用時間。
	 */
	public int getUseHolidayTime() {
		return useholidaytime;
	}
	
	/**
	 * @return acquisitionstatus 	取得状況。
	 */
	public String getAcquisitionStatus() {
		return acquisitionstatus;
	}
	
	/**
	 * @return liquidationovertime 	代休決済による時間外清算時間。
	 */
	public int getLiquidationOverTime() {
		return liquidationovertime;
	}
	
	/**
	 * @return liquidationweekholiday 	代休決済による休日時間外清算時間。
	 */
	public int getLiquidationWeekHoliday() {
		return liquidationweekholiday;
	}
	
	/**
	 * @return decisionstatus 	決済状況。
	 */
	public String getDecisionStatus() {
		return decisionstatus;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param substituteid 	セットする管理ID。
	 */
	public void setSubstituteId(long substituteid) {
		this.substituteid = substituteid;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param occuryear 	セットする発生年。
	 */
	public void setOccurYear(int occuryear) {
		this.occuryear = occuryear;
	}
	
	/**
	 * @param occurmonth 	セットする発生月。
	 */
	public void setOccurMonth(int occurmonth) {
		this.occurmonth = occurmonth;
	}
	
	/**
	 * @param closedate 	セットする締切日。
	 */
	public void setCloseDate(Date closedate) {
		this.closedate = (Date)closedate.clone();
	}
	
	/**
	 * @param limitstartdate 	セットする期限開始日。
	 */
	public void setLimitStartDate(Date limitstartdate) {
		this.limitstartdate = (Date)limitstartdate.clone();
	}
	
	/**
	 * @param limitenddate 	セットする期限終了日。
	 */
	public void setLimitEndDate(Date limitenddate) {
		this.limitenddate = (Date)limitenddate.clone();
	}
	
	/**
	 * @param attitudestatus 	セットする意向状況。
	 */
	public void setAttitudeStatus(String attitudestatus) {
		this.attitudestatus = attitudestatus;
	}
	
	/**
	 * @param paymentacquiretime 	セットする代替休暇取得時間外。
	 */
	public void setPaymentAcquireTime(int paymentacquiretime) {
		this.paymentacquiretime = paymentacquiretime;
	}
	
	/**
	 * @param paymentacquireholiday 	セットする代替休暇取得休日時間外。
	 */
	public void setPaymentAcquireHoliday(int paymentacquireholiday) {
		this.paymentacquireholiday = paymentacquireholiday;
	}
	
	/**
	 * @param paymentquittime 	セットする代替休暇放棄時間外。
	 */
	public void setPaymentQuitTime(int paymentquittime) {
		this.paymentquittime = paymentquittime;
	}
	
	/**
	 * @param useholidaytime 	セットする利用時間。
	 */
	public void setUseHolidayTime(int useholidaytime) {
		this.useholidaytime = useholidaytime;
	}
	
	/**
	 * @param acquisitionstatus 	セットする取得状況。
	 */
	public void setAcquisitionStatus(String acquisitionstatus) {
		this.acquisitionstatus = acquisitionstatus;
	}
	
	/**
	 * @param liquidationovertime 	セットする代休決済による時間外清算時間。
	 */
	public void setLiquidationOverTime(int liquidationovertime) {
		this.liquidationovertime = liquidationovertime;
	}
	
	/**
	 * @param liquidationweekholiday 	セットする代休決済による休日時間外清算時間。
	 */
	public void setLiquidationWeekHoliday(int liquidationweekholiday) {
		this.liquidationweekholiday = liquidationweekholiday;
	}
	
	/**
	 * @param decisionstatus 	セットする決済状況。
	 */
	public void setDecisionStatus(String decisionstatus) {
		this.decisionstatus = decisionstatus;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
